package de.intevation.flys.client.shared.model;


/**
 * The simpliest default implementation of a River that just stores a name.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class DefaultRiver implements River {

    /** The name of the river.*/
    protected String name;

    /**
     * The default constructor that creates empty river objects.
     */
    public DefaultRiver() {
    }


    /**
     * This constructor should be used to create new rivers.
     *
     * @param name The name of the river.
     */
    public DefaultRiver(String name) {
        this.name = name;
    }


    /**
     * Sets the name of the river.
     *
     * @param name The name of the river.
     */
    public void setName(String name) {
        this.name = name;
    }


    /**
     * Returns the name of the river.
     *
     * @return the name of the river.
     */
    public String getName() {
        return name;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
